summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYiyangWu <xgreenlandforwyy@gmail.com>2022-03-07 23:13:15 +0800
committerBenda Xu <heroxbd@gentoo.org>2022-05-01 16:44:38 +0800
commitccc63180365ecb96cde53a5f8c36608653c7f030 (patch)
tree3ff972a53c3481f3ef2fa9d5e991e86f4ddd3c58
parentdev-lang/ruby: drop unneeded -j1 for make check (diff)
downloadgentoo-ccc63180365ecb96cde53a5f8c36608653c7f030.tar.gz
gentoo-ccc63180365ecb96cde53a5f8c36608653c7f030.tar.bz2
gentoo-ccc63180365ecb96cde53a5f8c36608653c7f030.zip
dev-libs/rocm-comgr: correct LLVM_PATH and HIP_PATH
Fixes comgr cannot find correct hipcc and llvm-roc clang include path. Closes: https://github.com/gentoo/gentoo/pull/24439 Closes: https://bugs.gentoo.org/834674 Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Yiyang Wu <xgreenlandforwyy@gmail.com> Signed-off-by: Benda Xu <heroxbd@gentoo.org>
-rw-r--r--dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild6
1 files changed, 6 insertions, 0 deletions
diff --git a/dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild b/dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild
index 192ddca854e..fcb897e2ab3 100644
--- a/dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild
+++ b/dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild
@@ -29,6 +29,12 @@ RDEPEND=">=dev-libs/rocm-device-libs-${PV}
>=sys-devel/llvm-roc-${PV}:="
DEPEND="${RDEPEND}"
+src_prepare() {
+ sed '/sys::path::append(HIPPath/s,"hip","lib/hip",' -i src/comgr-env.cpp || die
+ sed '/sys::path::append(LLVMPath/s,"llvm","lib/llvm/roc",' -i src/comgr-env.cpp || die
+ cmake_src_prepare
+}
+
src_configure() {
local mycmakeargs=(
-DLLD_DIR="${EPREFIX}/usr/lib/llvm/roc/lib/cmake/lld"